Kirjoittaja Aihe: Henkilökortin lukija Tumbleweedissä ei toimi  (Luettu 1890 kertaa)

0 jäsentä ja 1 Vieras katselee tätä aihetta.

Poissa maksim

  • Jäsen
  • Viestejä: 26
  • Sukupuoli: Mies
Henkilökortin lukija Tumbleweedissä ei toimi
« : 28.09.2023 - klo:12:48 »
Kortinlukija  toimii moitteetta Win10:ssä. Fedora38:ssa ja Ubu 22.04:ssa, mutta ei tässä Tumbleweedissä.
mPollux-ohjelmaa asentaessa tulee seuraava ilmoitus:
Koodia: [Valitse]
Ongelma: asennettavan paketin mpollux-digisign-client-for-dvv-4.2.6-8414.x86_64 vaatimaa pakettia ”nss-tools” ei tarjoa mikään lähde

Tuota vaadittua nss-tools -pakettia en ole löytänyt mistään.
Ihan mielenkiinnosta haluaisin lukijan toimivan tässäkin distrossa.
Olisiko vinkkejä ongelman ratkaisuksi?

Poissa SuperOscar

  • Käännösryhmä
  • *
  • Viestejä: 928
  • Sukupuoli: Mies
  • Tänään täällä, huomenna poissa
    • Legisign.org
Vs: Henkilökortin lukija Tumbleweedissä ei toimi
« Vastaus #1 : 28.09.2023 - klo:14:58 »
Semmoinen paketti näkyy löytyvän kuin mozilla-nss-tools, olisikohan se sama?
pöytäkone 1, kannettavat 1–3: Debian GNU/Linux 12; pöytäkone 2: openSUSE Tumbleweed; NUC: openSUSE Leap 15.5; RPi 1: FreeBSD 14-RELEASE; RPi 2: LibreELEC 11

Poissa maksim

  • Jäsen
  • Viestejä: 26
  • Sukupuoli: Mies
Vs: Henkilökortin lukija Tumbleweedissä ei toimi
« Vastaus #2 : 29.09.2023 - klo:11:46 »
Semmoinen paketti näkyy löytyvän kuin mozilla-nss-tools, olisikohan se sama?
Tuo ei ole sama paketti ja se olikin jo asennettuna, Firefox ilmeisesti tarvitsee sitä.
Lainaus Fedorasta  tuon nss-tools -paketin tiedoista:
Lainaus
nss-tools - Tools for the Network Security Services
Network Security Services (NSS) is a set of libraries designed to
support cross-platform development of security-enabled client and
server applications. Applications built with NSS can support SSL v2
and v3, TLS, PKCS #5, PKCS #7, PKCS #11, PKCS #12, S/MIME, X.509
v3 certificates, and other security standards.

Install the nss-tools package if you need command-line tools to
manipulate the NSS certificate and key database.
Tuo paketti lienee aika oleellinen kortin tunnistamiseen ja käyttämiseen lukijassa.

Poissa maksim

  • Jäsen
  • Viestejä: 26
  • Sukupuoli: Mies
Vs: Henkilökortin lukija Tumbleweedissä ei toimi
« Vastaus #3 : 29.09.2023 - klo:12:31 »
Asensin CentOsin nss-tools -paketin Suseeni ja nyt kortti ja lukija toimivat kuten pitääkin.
Ratkaisu ei liene kaikkein oikeaoppisin, mutta toimii ainakin minulla, tosin en vättämättä suosittele tekemään sitä hyötyjärjestelmään,
saattaa sotkea jotakin tarpeellista, mutta pikaisella käytöllä, restartin jälkeen kaikki tuntuu toimivan kuten pitääkin.

Poissa harmie

  • Valvoja
  • *
  • Viestejä: 2773
  • Sukupuoli: Mies
Vs: Henkilökortin lukija Tumbleweedissä ei toimi
« Vastaus #4 : 29.09.2023 - klo:15:36 »
Kyllä se taitaa olla ihan sama paketti, mutta susessa nimetty vaan toisella nimellä
https://software.opensuse.org/package/mozilla-nss